
Redmine - Defect #2169

Byte Order Marks in Polish language files

2008-11-13 02:19 - Juanjo RG

Status: Closed Start date: 2008-11-13

Priority: Low Due date: 2008-11-21

Assignee: Azamat Hackimov % Done: 0%

Category: Translations Estimated time: 0.00 hour

Target version: 0.8   

Resolution: Fixed Affected version:  

Description

There is a little problem with the Polish language files. It was introduced at r1928. In both pl.yml and jstoolbar-pl.js the first line is:

// Keep this line in order to avoid problems with Windows Notepad UTF-8 EF-BB-BF idea...

 It has 3 hidden BOM bytes at the beggining of the line. The problem rises if you try:

rake gloc:sort

 Redmine will not start again until you delete this line (now placed the last).

Tested under Windows XP and Vista.

Associated revisions

Revision 2052 - 2008-11-21 17:40 - Azamat Hackimov

removing BOM, sorting, #2169

History

#1 - 2008-11-21 17:39 - Azamat Hackimov

- Due date set to 2008-11-21

- Status changed from New to Closed

- Assignee set to Azamat Hackimov

- Target version set to 0.8

- Resolution set to Fixed

What I can say... Don't do it :).
